﻿--
--		This file handles the 
--		on load handler
--		
--		its only function is to
--		call the other functions 
--		when the addon loads
--
--
--
--
--
--

JigM_OnLoadFrame = CreateFrame("FRAME")
JigM_OnLoadFrame:RegisterEvent("VARIABLES_LOADED");
JigM_OnLoadFrame:SetScript("OnEvent", function() 
	JigM_OnLoad()
end)

function JigM_OnLoad()
	
	JigM_SetupVariables();
	
	JigM_SetupOuterFrames();
	
	--JigM_CreatePuzzlePieces(3,10);
	
	--JigM_OptionsSetup();
	
	JigM_SetupSlashCommands();
	
	--JigM_RegisterEvents();
	
	JigM_ButtonEnablerDisabler();
end

function JigM_SetupVariables()	
	JigM_DB = JigM_DB or {};
	JigM_UDB = {};	--unsaved variables
	
	JigM_DB["Scale"] = JigM_DB["Scale"] or 1;
	JigM_DB["PuzzleID"] = JigM_DB["PuzzleID"] or 1;
	
	JigM_DB["CompletedPuzzles"] = JigM_DB["CompletedPuzzles"] or {0,0,0};	--easy, med, hard
	
	if JigM_DB["CompletedPuzzleList"] == nil then
		JigM_DB["CompletedPuzzleList"] = {};
		for i=1,9 do
			JigM_DB["CompletedPuzzleList"][i] = {false, false, false};
		end
	end
	
	JigM_DB["CustomX"] = JigM_DB["CustomX"] or 5;
	JigM_DB["CustomY"] = JigM_DB["CustomY"] or 5;
end

function JigM_SetupSlashCommands()
	SLASH_JM1 = "/jigsawmaster";
	SLASH_JM2 = "/jigm";
	SLASH_JM3 = "/jmaster";
	
	SlashCmdList["JM"] =  JigM_SlashCommand;
end

function JigM_SlashCommand(cmd)
--Stuff that happens when you press /mf <command>
	JigM_MainFrame:Show()
	
	if cmd == "" then
		
	end
end